\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Point Set Processing

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types
CGAL::value_type_traits< T > Struct Template Reference
Point Set Processing Reference

`#include <CGAL/value_type_traits.h>`

## Definition

Class providing the value type of an iterator, and in the case of an output iterator, a type of objects that can be put in it.

## Public Types
typedef unspecified_type | type
| If `T` is `std::insert_iterator<Container>`, `std::back_insert_iterator<Container>` or `std::front_insert_iterator<Container>`, then `type` is `Container::value_type`. More...

## Member Typedef Documentation

template<class T >

typedef unspecified_type CGAL::value_type_traits< T >::type

If `T` is `std::insert_iterator<Container>`, `std::back_insert_iterator<Container>` or `std::front_insert_iterator<Container>`, then `type` is `Container::value_type`.

Otherwise, `type` is `std::iterator_traits<T>::value_type`.